@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  display: block;
  height: calc(100% - 184px);
}

// content
app-side-modal-content {
  height: calc(100% - 78px);
}

// title
app-side-modal-title {
  margin-bottom: 24px;
}

// footer
app-side-modal-footer {
  @include flex(flex-start);
  @include padding(21px 16px 0);
  height: 78px;

  button {
    width: 80px;
    height: 28px;
    font-size: 10px;
    line-height: 11px;
  }

  // spinner
  app-spinner {
    width: 100%;

    ::ng-deep {
      .app-spinner {
        @include ball(28px);
      }
    }
  }
}

// scroll section
app-custom-scrollbar {
  height: calc(100% - 13px - 24px);
}

// permissions
app-permissions {
  ::ng-deep {
    .app-row {
      height: 28px;

      .app-column {
        &:first-of-type {
          flex: 1 0 auto;
        }
      }

      &.header {
        .app-column {
          &:first-of-type {
            @include ubuntuMedium;
            justify-content: flex-start;
          }
        }
      }

      &:not(.header) {
        .app-column {
          &:first-of-type {
            font-size: 12px;
          }
        }
      }
    }
  }
}
